Subject: Re: bug#74218: [PATCH] Ask confirmation before sending region to search engine.

From: Robert Pluim <[email-masked]>
Date: Thu, 07 Nov 2024 10:02:00 +0100

>>>>> On Thu, 07 Nov 2024 10:53:23 +0200, Eli Zaretskii <[email-masked]> said:

    Eli> Also, does anyone have an opinion about asking for confirmation only
    Eli> for regions that are large enough?  E.g., when the region is a single
    Eli> word, do we want to ask for confirmation anyway?

The default for sending stuff to remote servers should be not to do it
unless explicitly authorized, even if the amount of data is small: the
submission itself provides data about your machine, IP, location etc.

Robert
--